<?php 
/**
 * Homepage Categories List
 *
 * @package On Demand
 */
?>
<div class="container">
	<div class="featured_categories">
	
		<h6><?php echo esc_attr('Select any Category'); ?></h6>
	
		<?php foreach( ondemand_featured_items_array() as $featured ) : ?>
			
			<?php
			if( ! ( $category_id = get_ondemand_option( 'featured_category_' . $featured ) ) )
				continue;
			
			$featured_cat_args = array(
			    'cat' => absint( $category_id ),
			    'posts_per_page' => 1,
			    'meta_query'     => array (
			    	array (
			    		'key' => '_thumbnail_id'
		  	    	)
		  	    )
			);
			
			$featured_cat_query = new WP_Query( $featured_cat_args ); ?>
		
			<?php if ( $featured_cat_query->have_posts() ) : while ( $featured_cat_query->have_posts() ) : $featured_cat_query->the_post(); ?>
			    <div id="featured-category-<?php echo absint( $featured ) ?>" class="featured-category col-xs-6 col-sm-4 col-md-2">
			    	<a href="<?php echo esc_url( get_category_link( $category_id ) ); ?>" title="<?php echo esc_attr( sprintf( __( 'View all posts in %s', 'ondemand' ), get_cat_name( $category_id ) ) ); ?>">
			    		<?php the_post_thumbnail( 'grid-item' ); ?>
			    		
			    		<div>
			    			<span><?php echo esc_attr( get_cat_name( $category_id ) ); ?></span>
			    		</div>
			    	</a>
			    </div><!-- .featured-category -->
			<?php endwhile; endif; // end have_posts() ?>
		
			<?php wp_reset_query(); ?>
		
		<?php endforeach; // end #featured_categories foreach loop ?>
	
	</div>
</div>