<?php 
/**
 * The template for displaying all pages.
 *
 * Template Name: Portfolio
 *
 * @package On Demand
 */
 
get_header(); ?>

<section id="section-top" class="section-header col-sm-12">
	
	<div class="inner">
		<h1 class="section-title"><?php the_title(); ?></h1>
		<p><?php echo get_post_field('post_content', $post->ID); ?></p>
	</div>
	
</section>

<section id="category-filter" class="section-header filter col-sm-12">
	
	<div class="inner">
		<div id="filters" class="filter-list">
			<?php
			$featured = get_ondemand_option('portfolio_category');
			$categories = get_categories( array( 'child_of' => $featured, 'hide_empty' => 0 ) );
			$count = count($categories);
			if ( $categories && $count > 0 ) :
			?>
			
			<ul>
				<li><a data-filter="*">Show All</a></li>
				<?php foreach ( $categories as $category ) : ?>
					<?php
					$categoryname = strtolower($category->name);
					$categoryname = str_replace(' ', '-', $categoryname);
					?>
					<li>
						<a data-filter=".category-<?php echo $categoryname; ?>" rel="<?php echo $categoryname; ?>">
							<?php echo $category->name; ?>
						</a>
					</li>
				<?php endforeach; ?>
			</ul>
			
			<?php endif; ?>
		</div>
	</div>
	
</section>

<section id="primary" class="col-sm-12">
	<main id="main" class="site-main" role="main">
	
		<div class="row isotope">
			
		<?php
		$wp_query = new WP_Query(
			array(
				'cat'				=> $featured,
				'posts_per_page'	=> -1,
			)
		);
		?>
	
		<?php if( $wp_query->have_posts() ) : ?>
			
			<?php $index = 1; ?>
			<?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>
			
				<?php get_template_part( 'content', 'portfolio' ); ?>
				
				<?php if( $index % 3 == 0 ) : ?>
					<div class="clearfix hidden-sm"></div>
				<?php endif; ?>
				<?php if( $index % 2 == 0 ) : ?>
					<div class="clearfix visible-xs visible-sm"></div>
				<?php endif; ?>
			
			<?php $index++; ?>	
			<?php endwhile; ?>
			
		<?php else : ?>
		
			<?php get_template_part( 'content', 'none' ); ?>
			
		<?php endif; ?>
		
		</div>
		
	</main>
</section>

<?php get_footer(); ?>