<?php 
/**
 * @package On Demand
 */
 
get_header(); ?>

<section id="section-top" class="section-header col-sm-12">
	
	<div class="inner">
		<h1 class="section-title"><?php single_cat_title( '', true ); ?></h1>
		<p><?php echo category_description(); ?></p>
	</div>
	
</section>

<section id="primary" class="col-sm-8">
	<main id="main" class="site-main" role="main">

		<?php if( have_posts() ) : ?>
		
			<?php
			// Check for blog category option, change view based on result
			
			$blog_category = get_ondemand_option( 'blog_category' );
	
			if( $blog_category && is_category( $blog_category ) ) :
			?>
				
				<?php while ( have_posts() ) : the_post(); ?>
					
					<?php get_template_part( 'content', get_post_format() ); ?>
					
				<?php endwhile; ?>
				
				<?php echo ondemand_paginate(true); ?>
			
			<?php else: ?>
				
				<div class="row">
					<?php $index = 1; ?>
					<?php while ( have_posts() ) : the_post(); ?>
					
						<?php
					
						get_template_part( 'content', 'grid' );
						
						// Output content break for grid rows
						if( $index % 2 == 0 ) {
					
							echo '<div class="clearfix"></div>';
					
						}
						
						?>
					
					<?php $index++; ?>	
					<?php endwhile; ?>
				</div>
				
				<?php echo ondemand_paginate(); ?>
				
			<?php endif; ?>
			
		<?php else : ?>
		
			<?php get_template_part( 'content', 'none' ); ?>
			
		<?php endif; ?>
		
	</main>
</section>

<?php get_sidebar(); ?>

<?php get_footer(); ?>