/**
 *  Custom JS Scripts
 *
 * @package On Demand
 */

( function( $ ) {

	/**
	 * Initialize Owl Carousel
	 */
	function initOwlCarousel() {
		var autoPlay = (typeof slideSpeed != 'undefined') ? slideSpeed : false;
		var owl = $("#owl-slider");
		owl.owlCarousel({
			navigation : true,
			singleItem : true,
			slideSpeed : 600,
			autoHeight : true,
			autoPlay : autoPlay,
		});
	}
	
	/**
	 * Initialize FitVids
	 */
	function initFitVids() {
		$("#page").fitVids();
	}
	
	/**
	 * Toggle Mobile Menu
	 */
	function initMobileMenu() {
		$(".menu-toggle").click( function() {
			$('#navigation .menu').slideToggle();
		});
		
		$('.menu-item-has-children a').click( function(e) {
			if ($(window).width() < 767) {				
				$(this).parent().children('.sub-menu').slideToggle();
			}
		});
	}
	
	/**
	 * Format Videos Placement
	 */
	function reorderVideos() {
		$( '.single .format-video' ).each( function( index, el ) {
			// Find the first oEmbed video
			var formatVideoCache = $( this ).contents().find( '.wp-embed' ).first();
			// Get the videos content
			var formatVideoContent = $( formatVideoCache ).html();
	
			// Place video in the .entry-video container
			if ( '' != formatVideoContent ) {
				$( formatVideoCache ).remove();
				$( '.entry-media' ).append( formatVideoContent );
			}
			
			$( '.post-content', this ).filter( function() {
				return $.trim( $( this ).text() ) === ''
			}).remove();
		});
	}
	
	/**
	 * On ready, run functions
	 */
	$( document ).ready(function(){
		if($('body').hasClass('home') || $('body').hasClass('blog') || $('body').hasClass('page-template-templatestemplate-slideshow-php')) {
			initOwlCarousel();
		}
		initFitVids();
		initMobileMenu();
	});
	
})( jQuery );