<?php 
/**
 * Homepage Carousel - Owl Carousel
 *
 * @package On Demand
 */
?>
	
<?php 
	$slider = get_ondemand_option('content_carousel');
	$args = array(
		'posts_per_page' => 4,
		'post_type'		 => 'post',
	    'meta_query'     => array (
	    	array (
	    		'key' => '_thumbnail_id'
  	    	)
  	    )
	); 
	$args['category__in'] = ( $slider ? $slider : '' );
	$wp_query = new WP_Query( $args );
?>
<?php if ( $wp_query->have_posts() ): ?>	

	<div class="slider home_slider col-sm-12">

		<div id="owl-slider" class="owl-carousel owl-theme">
		
		<?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>
		
			<div class="item">
				<?php 
				$imgsrc = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), "slider-item" );
				$imgsrc = $imgsrc[0];
				?>
				<img src="<?php echo esc_url($imgsrc); ?>" alt="<?php the_title_attribute(); ?>">
				
	    		<div class="slider-btn col-xs-12 col-md-6 col-lg-8 lazyOwl">
					<?php 
					$videoembed = get_post_meta( $post->ID, 'ondemand_video_embed', true ); 
					$videomodal = get_ondemand_option('video_modal'); 
					?>
					<?php if( $videoembed && ( 'false' != $videomodal ) ) : ?>
		    			<a class="ibox" href="<?php echo esc_url($videoembed); ?>" rel="ibox" title="<?php the_title_attribute(); ?>">
			    			<i class="play-btn"></i>
		    			</a>
		    		<?php else: ?>
		    			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"></a>
	    			<?php endif; ?>
		    	</div>
				
				<div class="slider-caption col-sm-6 col-lg-4 lazyOwl hidden-xs hidden-sm">
				
					<div class="caption-inner">
						<h1 class="slider-title">
							<a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>">
								<?php the_title(); ?>
							</a>
						</h1>
						
						<div>
							<?php the_excerpt(); ?>
							
							<a class="read_more" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'ondemand' ), the_title() ) ); ?>"> 
								<?php _e('Continue Reading', 'ondemand'); ?>
							</a>
						</div>
					</div>
					
				</div>
			</div>
		
		<?php endwhile; wp_reset_query(); ?>
		
		</div>
		
	</div>
	
<?php endif; ?>