<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Youmovie
 */

$has_post_thumbnail = has_post_thumbnail();

?>

<div class="single-header-3 <?php echo $has_post_thumbnail ? 'invert' : '' ?>">
	<?php if ( $has_post_thumbnail ) : ?>
		<div class="overlay-thumbnail" <?php youmovie_post_overlay_thumbnail( 'youmovie-thumb-xl' ); ?>></div>
	<?php endif; ?>
	<div class="container">
		<div class="row">
			<div class="col-xs-12 col-md-8">
				<header class="entry-header">
					<?php youmovie_posted_in( array(
						'delimiter' => '',
						'before'    => '<div class="cat-links btn-style">',
						'after'     => '</div>',
					) ); ?>
					<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
					<?php the_excerpt(); ?>
					<div class="post-author">
						<?php if ( youmovie_theme()->customizer->get_value( 'single_post_author' ) ) : ?>
							<div class="post-author__avatar"><?php
								youmovie_get_post_author_avatar( array(
									'size' => 50
								) );
							?></div>
						<?php endif; ?>
						<div class="post-author__content">
							<?php
								youmovie_posted_by( array(
									'before'  => '<div class="byline">',
									'after'   => '</div>'
								) );
								youmovie_posted_on( array(
									'prefix'  => __( 'Posted', 'youmovie' ),
									'before'  => '<div class="posted-on">',
									'after'   => '</div>',
								) );
							?>
						</div>
					</div>
				</header><!-- .entry-header -->
			</div>
		</div>
	</div>
</div>