;var Youmovie_Theme_JS;

(function($) {
	'use strict';

	Youmovie_Theme_JS = {

		init: function() {
			this.page_preloader_init();
			this.toTopInit();
			this.responsiveMenuInit();
			this.magnificPopupInit();
			this.swiperInit();
		},

		page_preloader_init: function(self) {

			if ($('.page-preloader-cover')[0]) {
				$('.page-preloader-cover').delay(500).fadeTo(500, 0, function() {
					$(this).remove();
				});
			}
		},

		toTopInit: function() {
			if ($.isFunction(jQuery.fn.UItoTop)) {
				$().UItoTop({
					text: '',
					scrollSpeed: 600
				});
			}
		},

		responsiveMenuInit: function() {
			if (typeof youmovieResponsiveMenu !== 'undefined') {
				youmovieResponsiveMenu();
			}
		},

		magnificPopupInit: function() {

			if (typeof $.magnificPopup !== 'undefined') {

				//MagnificPopup init
				$('[data-popup="magnificPopup"]').magnificPopup({
					type: 'image'
				});

				$(".gallery > .gallery-item a").filter("[href$='.png'],[href$='.jpg']").magnificPopup({
					type: 'image',
					gallery: {
						enabled: true,
						navigateByImgClick: true,
					},
				});

			}
		},

		swiperInit: function() {
			if (typeof Swiper !== 'undefined') {

				//Swiper carousel init
				var mySwiper = new Swiper('.swiper-container', {
					// Optional parameters
					loop: true,
					spaceBetween: 10,

					// Navigation arrows
					nextButton: '.swiper-button-next',
					prevButton: '.swiper-button-prev',
				})

			}
		}
	};

	Youmovie_Theme_JS.init();

}(jQuery));

(function($) {
	var TikiLive = {
		init: function($scope) {
			window.elementorFrontend.hooks.addAction(
				"frontend/element_ready/jet-blog-video-playlist.default",
				TikiLive.initPlayList
			);
		},

		initPlayList: function($scope) {
			$scope.off( 'click.TikiLive', '.jet-blog-playlist__item');
			$scope.on( 'click.TikiLive', '.jet-blog-playlist__item', function(e) {

				var $this = $(this);

				if('tikilive' == $this.data('provider')) {
					var $canvas = $this.closest('.jet-blog-playlist').find('.jet-blog-playlist__canvas'),
						id = $this.data('id'),
						$wrapper = $canvas.find('#embed_wrap_' + id),
						html;

					if( !$wrapper.length ) {
						$wrapper = $( '<div id="embed_wrap_' + id + '"></div>' ).appendTo( $canvas );
					}

					$wrapper.addClass('tikilive-wrapper');
					$wrapper.addClass('jet-blog-playlist__embed-wrap');

					$wrapper.siblings('.tikilive-wrapper').empty();

					if(html = JSON.parse($this.data('html'))) {
						$(html).appendTo($wrapper);
					}
				}
			});
			$scope.find('.jet-blog-playlist__item.jet-blog-active').trigger('click');
		}
	};

	$(window).on("elementor/frontend/init", TikiLive.init);
})(jQuery);