<?php

add_action( 'init', 'youmovie_plugins_wizard_config', 9 );

/**
 * Register Jet Plugins Wizards config
 * @return void
 */
function youmovie_plugins_wizard_config() {

	if ( ! is_admin() ) {
		return;
	}

	if ( ! function_exists( 'jet_plugins_wizard_register_config' ) ) {
		return;
	}

	jet_plugins_wizard_register_config( array(
	
		'license' => array(
			'enabled' => false,
	
		),
		
		'plugins' => array(
			'jet-data-importer' => array(
				'name'   => esc_html__( 'Jet Data Importer', 'youmovie' ), 		
				'source' => 'remote', // 'local', 'remote', 'wordpress' (default).
				'path'   => 'https://github.com/ZemezLab/jet-data-importer/archive/master.zip',
				'access' => 'base',					
			),
			'elementor' => array(
				'name'   => esc_html__( 'Elementor Page Builder', 'youmovie' ),
				'access' => 'base',
			),
			'jet-blog' => array(
				'name'   => esc_html__( 'Jet Blog For Elementor', 'youmovie' ),
				'source' => 'local',
				'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-blog.zip' ),
				'access' => 'base',
			),
			'jet-blocks' => array(
				'name'   => esc_html__( 'Jet Blocks For Elementor', 'youmovie' ),
				'source' => 'local',
				'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-blocks.zip' ),
				'access' => 'base',
			),
			'jet-elements' => array(
				'name'   => esc_html__( 'Jet Elements For Elementor', 'youmovie' ),
				'source' => 'local',
				'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-elements.zip' ),
				'access' => 'base',
			),
			'jet-tabs' => array(
				'name'   => esc_html__( 'Jet Tabs For Elementor', 'youmovie' ),
				'source' => 'local',
				'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-tabs.zip' ),
				'access' => 'base',
			),
			'jet-theme-core' => array(
				'name'   => esc_html__( 'Jet Theme Core', 'youmovie' ),
				'source' => 'local',
				'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-theme-core.zip' ),
				'access' => 'base',
			),
			'jet-tricks' => array(
				'name'   => esc_html__( 'Jet Tricks', 'youmovie' ),
				'source' => 'local',
				'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-tricks.zip' ),
				'access' => 'base',
			),
			'jet-menu' => array(
				'name'   => esc_html__( 'Jet Menu', 'youmovie' ),
				'source' => 'local',
				'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-menu.zip' ),
				'access' => 'base',
			),
			'jet-popup' => array(
				'name'   => esc_html__( 'Jet Popup', 'youmovie' ),
				'source' => 'local',
				'path'   => get_parent_theme_file_path( 'assets/includes/plugins/jet-popup.zip' ),
				'access' => 'base',
			),
			'contact-form-7' => array(
				'name'   => esc_html__( 'Contact Form 7', 'youmovie' ),
				'access' => 'skins',
			),
					
		),
		
		'skins'   => array(
				'base' => array(
					'jet-data-importer',
					'elementor',
					'jet-blog',
					'jet-blocks',
					'jet-elements',
					'jet-tabs',
					'jet-theme-core',
					'jet-tricks',
					'jet-menu',	
					'jet-popup',				
				),
				
			'advanced' => array( 
					'default' => array( 
						'full'  => array(
						 'contact-form-7',
				),
				
				'lite'  => false, 
				'demo'  => '#', 
				'thumb' => get_template_directory_uri() . '/assets/demo-content/default/default-thumb.jpg', 
				'name'  => esc_html__( 'Youmovie', 'youmovie' ), 
					
				), 
				
			),
		
		),
	'texts'   => array(
			'theme-name' => esc_html__( 'Youmovie', 'youmovie' ),
		),		
	) );
}
